/*
  Copyright (c) 2011-2012 - Tőkés Attila

  This file is part of SmtpClient for Qt.

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  See the LICENSE file for more details.
*/

#include "mimeattachment.h"
#include <QFileInfo>

/* [1] Constructors and Destructors */

MimeAttachment::MimeAttachment(QFile *file)
    : MimeFile(file)
{
    this->headerLines += "Content-disposition: attachment\r\n";
    dataSet = false;
}

MimeAttachment::MimeAttachment(QByteArray data,  const QString &fileName)  : MimeFile(NULL)
{
    this->headerLines += "Content-disposition: attachment\r\n";
    this->data = data;
    this->cName = fileName;
    dataSet = true;
}

MimeAttachment::~MimeAttachment()
{

}

void MimeAttachment::writeContent(QIODevice &device)
{
    if (dataSet) {
        this->content = data;
        MimePart::writeContent(device);
        this->content.clear();
    } else {
        MimeFile::writeContent(device);
    }
}

/* [1] --- */


/* [2] Protected methods */

/* [2] --- */
